%define anolis_release 2
%define debug_package %{nil}

%global pypi_name wheel
%global pypi_version 0.38.4
%global python_wheel_name %{pypi_name}-%{version}-py3-none-any.whl

Name:           python-wheel
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A built-package format for Python
License:        MIT
URL:            https://github.com/pypa/wheel
Source0:        https://files.pythonhosted.org/packages/a2/b8/6a06ff0f13a00fc3c3e7d222a995526cbca26c1ad107691b6b1badbbabf1/wheel-0.38.4.tar.gz


BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)

BuildRequires:  gcc cmake
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-srpm-macros
BuildRequires:  pyproject-rpm-macros >= 0-44


%description
A built-package format for Python

%package -n python3-%{pypi_name}
Summary:        %{summary}
Provides:	python3-wheel-wheel = %{version}-%{release}

%description -n python3-%{pypi_name}
%{description}

%package -n python-%{pypi_name}-wheel
Summary:        The Python wheel module packaged as a wheel
BuildArch:	noarch

%description -n python-%{pypi_name}-wheel
%{description}

%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install

export PYTHONPATH=%{buildroot}%{python3_sitelib}
%py3_build_wheel

mkdir -p %{buildroot}%{python_wheel_dir}
install -p dist/%{python_wheel_name} -t %{buildroot}%{python_wheel_dir} 

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%{_bindir}/wheel
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info/

%files -n python-%{pypi_name}-wheel
%dir %{python_wheel_dir}/
%{python_wheel_dir}/%{python_wheel_name}

%files -n python3-%{pypi_name}-doc
%doc README.rst docs/news.rst

%changelog
* Thu Mar 14 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.38.4-2
- Rebuild with python3.11

* Wed Jan 18 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.38.4-1
- update to version 0.38.4

* Fri Oct 28 2022 happy_orange <songnannan@linux.alibaba.com> - 0.37.1-3
- add python-wheel-wheel for wheel

* Mon Oct 17 2022 happy_orange <songnannan@linux.alibaba.com> - 0.37.1-2
- add provides and remove test requires.

* Tue Jul 05 2022 happy_orange <songnannan@linux.alibaba.com> - 0.37.1-1
- init package from upstream
